      subroutine FeFrToChange(IdOld,IdNew)
      include 'fepc.cmn'
      if(IdOld.gt.0) then
        QuestEdwFr(IdOld)=EdwFr
        QuestEdwTo(IdOld)=EdwTo
        QuestCrwFr(IdOld)=CrwFr
        QuestCrwTo(IdOld)=CrwTo
        QuestButtonFr(IdOld)=ButtonFr
        QuestButtonTo(IdOld)=ButtonTo
        QuestSbwFr(IdOld)=SbwFr
        QuestSbwTo(IdOld)=SbwTo
        QuestLblFr(IdOld)=LblFr
        QuestLblTo(IdOld)=LblTo
        QuestLinkaFr(IdOld)=LinkaFr
        QuestLinkaTo(IdOld)=LinkaTo
        QuestSvisliceFr(IdOld)=SvisliceFr
        QuestSvisliceTo(IdOld)=SvisliceTo
        QuestRolMenuFr(IdOld)=RolMenuFr
        QuestRolMenuTo(IdOld)=RolMenuTo
        QuestActiveObjFr(IdOld)=ActiveObjFr
        QuestActiveObjTo(IdOld)=ActiveObjTo
        QuestActiveObj(IdOld)=ActiveObj
        QuestEdwNAll(IdOld)=EdwNAll
        QuestEdwActive(IdOld)=EdwActive
        QuestSbwActive(IdOld)=SbwActive
        QuestEventType(IdOld)=EventType
        QuestEventNumber(IdOld)=EventNumber
        QuestEventNumberAbs(IdOld)=EventNumberAbs
        QuestEventTypeSave(IdOld)=EventTypeSave
        QuestEventNumberSave(IdOld)=EventNumberSave
        QuestCheckType(IdOld)=CheckType
        QuestCheckNumber(IdOld)=CheckNumber
        QuestCheckNumberAbs(IdOld)=CheckNumberAbs
        QuestButtonOk(IdOld)=ButtonOk
        QuestButtonCancel(IdOld)=ButtonCancel
        QuestButtonEsc(IdOld)=ButtonEsc
        QuestWizardMode(IdOld)=WizardMode
        QuestCheckMouse(IdOld)=CheckMouse
        QuestTakeMouseMove(IdOld)=TakeMouseMove
        QuestAllowChangeMouse(IdOld)=AllowChangeMouse
        QuestCheckKeyBoard(IdOld)=CheckKeyBoard
      endif
      if(IdNew.gt.0) then
        EdwFr=QuestEdwFr(IdNew)
        EdwTo=QuestEdwTo(IdNew)
        CrwFr=QuestCrwFr(IdNew)
        CrwTo=QuestCrwTo(IdNew)
        ButtonFr=QuestButtonFr(IdNew)
        ButtonTo=QuestButtonTo(IdNew)
        SbwFr=QuestSbwFr(IdNew)
        SbwTo=QuestSbwTo(IdNew)
        LblFr=QuestLblFr(IdNew)
        LblTo=QuestLblTo(IdNew)
        LinkaFr=QuestLinkaFr(IdNew)
        LinkaTo=QuestLinkaTo(IdNew)
        SvisliceFr=QuestSvisliceFr(IdNew)
        SvisliceTo=QuestSvisliceTo(IdNew)
        RolMenuFr=QuestRolMenuFr(IdNew)
        RolMenuTo=QuestRolMenuTo(IdNew)
        ActiveObjFr=QuestActiveObjFr(IdNew)
        ActiveObjTo=QuestActiveObjTo(IdNew)
        ActiveObj=QuestActiveObj(IdNew)
        EdwNAll=QuestEdwNAll(IdNew)
        EdwActive=QuestEdwActive(IdNew)
        EdwLastActive=EdwActive-EdwFr+1
        SbwActive=QuestSbwActive(IdNew)
        LastEdw=EdwActive
        KurzorEdw=EdwActive
        EventType=QuestEventType(IdNew)
        EventNumber=QuestEventNumber(IdNew)
        EventNumberAbs=QuestEventNumberAbs(IdNew)
        CheckType=QuestCheckType(IdNew)
        CheckNumber=QuestCheckNumber(IdNew)
        CheckNumberAbs=QuestCheckNumberAbs(IdNew)
        EventTypeSave=QuestEventTypeSave(IdNew)
        EventNumberSave=QuestEventNumberSave(IdNew)
        ButtonOk=QuestButtonOk(IdNew)
        ButtonEsc=QuestButtonEsc(IdNew)
        ButtonCancel=QuestButtonCancel(IdNew)
        WizardMode=QuestWizardMode(IdNew)
        CheckMouse=QuestCheckMouse(IdNew)
        TakeMouseMove=QuestTakeMouseMove(IdNew)
        AllowChangeMouse=QuestAllowChangeMouse(IdNew)
        CheckKeyBoard=QuestCheckKeyBoard(IdNew)
      endif
      return
      end
